## eole-keyring 2014.02.03

=== debian/changelog ===
eole-keyring (2014.02.03-1) eole-2.4-unstable; urgency=low

  * [9f09c17] Add git-buildpackage configuration for debian version tag format
  * [f6b9f1a] Ajout de la clef des dépôts OpenNebula
  * [5ccf8be] Nouveau paquet « opennebula-archive-keyring »
    (Fixes: #7282, 15)

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Mon, 03 Feb 2014 15:37:13 +0100

eole-keyring (2012.09.03-4) eole-2.4-unstable; urgency=low

  [ Daniel Dehennin ]
  * [149974e] Make lintian happier

  [ EOLE Build Daemon ]

 -- EOLE Build Daemon <buildd@listeseole.ac-dijon.fr>  Thu, 13 Sep 2012 16:02:41 +0200

eole-keyring (2012.09.03-3) eole-2.4-unstable; urgency=low

  [ Daniel Dehennin ]
  * [9f031ac] Génération du paquet pour le processus d’installation
  * [27c6b75] Correction de l’information git des sources
  * [aa9cc88] Suppression du script de prerm inutile
  * [b3e5cd8] On supprime les clefs de l’installeur du trousseau principal d’apt

  [ EOLE Build Daemon ]

 -- EOLE Build Daemon <buildd@listeseole.ac-dijon.fr>  Thu, 13 Sep 2012 10:55:11 +0200

eole-keyring (2012.09.03-2) eole-2.4-unstable; urgency=low

  [ Daniel Dehennin ]
  * [5343412] Gestion du trousseau d’archive en trousseau de confiance pour apt-get

  [ EOLE Build Daemon ]

 -- EOLE Build Daemon <buildd@listeseole.ac-dijon.fr>  Wed, 12 Sep 2012 17:16:37 +0200

eole-keyring (2012.09.03-1) eole-2.4-unstable; urgency=low

  [ Daniel Dehennin ]
  * [0fc3ae4] Premiers paquets Debian des trousseaux de clefs EOLE.
    (Fixes: #2592, 40)

  [ EOLE Build Daemon ]

 -- EOLE Build Daemon <buildd@listeseole.ac-dijon.fr>  Mon, 03 Sep 2012 17:12:42 +0200

## eole-keyring 2025.05.20

=== Makefile ===
TRUSTED-LIST := $(patsubst active-keys/add-%,trusted.gpg/eole-archive-%.gpg,$(wildcard active-keys/add-*))
TMPRING := trusted.gpg/build-area

GPG_OPTIONS := --no-options --no-default-keyring --no-auto-check-trustdb --trustdb-name ./trustdb.gpg

build: verify-indices keyrings/eole-archive-keyring.gpg keyrings/eole-archive-removed-keys.gpg verify-results $(TRUSTED-LIST)

verify-indices: keyrings/eole-team-keyring.gpg
	gpg ${GPG_OPTIONS} \
		--keyring keyrings/eole-team-keyring.gpg \
		--verify active-keys/index.gpg active-keys/index
	gpg ${GPG_OPTIONS} \
		--keyring keyrings/eole-team-keyring.gpg \
		--verify removed-keys/index.gpg removed-keys/index

verify-results: keyrings/eole-team-keyring.gpg keyrings/eole-archive-keyring.gpg keyrings/eole-archive-removed-keys.gpg
	gpg ${GPG_OPTIONS} \
		--keyring keyrings/eole-team-keyring.gpg --verify \
		keyrings/eole-archive-keyring.gpg.asc \
		keyrings/eole-archive-keyring.gpg
	gpg ${GPG_OPTIONS} \
		--keyring keyrings/eole-team-keyring.gpg --verify \
		keyrings/eole-archive-removed-keys.gpg.asc \
		keyrings/eole-archive-removed-keys.gpg
	#FIXME: Do we need to verify the created keyrings in trusted.gpg.d, too?
	#	Maybe "just" checking that no key is added if we merge, but how…

keyrings/eole-archive-keyring.gpg: active-keys/index
	jetring-build -I $@ active-keys
	gpg ${GPG_OPTIONS} --no-keyring --import-options import-export --import < $@ > $@.tmp
	mv -f $@.tmp $@

keyrings/eole-archive-removed-keys.gpg: removed-keys/index
	jetring-build -I $@ removed-keys
	gpg ${GPG_OPTIONS} --no-keyring --import-options import-export --import < $@ > $@.tmp
	mv -f $@.tmp $@

keyrings/eole-team-keyring.gpg: eole-team-members/index
	jetring-build -I $@ eole-team-members
	gpg ${GPG_OPTIONS} --no-keyring --import-options import-export --import < $@ > $@.tmp
	mv -f $@.tmp $@

$(TRUSTED-LIST) :: trusted.gpg/eole-archive-%.gpg : active-keys/add-% active-keys/index
	mkdir -p $(TMPRING) trusted.gpg
	grep -F $(shell basename $<) -- active-keys/index > $(TMPRING)/index
	cp $< $(TMPRING)
	jetring-build -I $@ $(TMPRING)
	rm -rf $(TMPRING)
	gpg ${GPG_OPTIONS} --no-keyring --import-options import-export --import < $@ > $@.tmp
	mv -f $@.tmp $@

clean:
	rm -f keyrings/eole-archive-keyring.gpg \
		keyrings/eole-archive-keyring.gpg~ \
		keyrings/eole-archive-keyring.gpg.lastchangeset
	rm -f keyrings/eole-archive-removed-keys.gpg \
		keyrings/eole-archive-removed-keys.gpg~ \
		keyrings/eole-archive-removed-keys.gpg.lastchangeset
	rm -f keyrings/eole-team-keyring.gpg \
		keyrings/eole-team-keyring.gpg~ \
		keyrings/eole-team-keyring.gpg.lastchangeset
	rm -rf $(TMPRING) trusted.gpg trustdb.gpg
	rm -f keyrings/*.cache

install: build
	install -d $(DESTDIR)/usr/share/keyrings/
	# TEAM
	cp keyrings/eole-team-keyring.gpg $(DESTDIR)/usr/share/keyrings/
	# Archive
	cp trusted.gpg/eole-archive-*.gpg $(DESTDIR)/usr/share/keyrings/
	cp keyrings/eole-archive-keyring.gpg $(DESTDIR)/usr/share/keyrings/
	cp keyrings/eole-archive-removed-keys.gpg $(DESTDIR)/usr/share/keyrings/
	install -d $(DESTDIR)/etc/apt/trusted.gpg.d/
	cp trusted.gpg/*.gpg $(DESTDIR)/etc/apt/trusted.gpg.d/
	cp keyrings/eole-archive-keyring.gpg $(DESTDIR)/etc/apt/trusted.gpg.d/

.PHONY: verify-indices verify-results clean build install

## eole-keyring 2016.04.25

=== debian/changelog ===
eole-keyring (2016.04.25-1) eole-2.6-unstable; urgency=low

  [ Daniel Dehennin ]
  * [ac46460] Ajout de la clef de signature des ISO EOLE 2.6
  * [0f5ae69] Suppression de la clef de signature des ISO EOLE 2.3
  * [eae6b5b] Merge tag 'release/2016.04.25'

  [ EOLE Build Daemon ]
  * [7482451] Daniel Dehennin: Update package since “debian/eole/2.4/2014.02.03-1”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Mon, 25 Apr 2016 16:45:49 +0200

=== debian/control ===
Source: eole-keyring
Section: misc
Priority: optional
Maintainer: Equipe EOLE <eole@ac-dijon.fr>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 9)
Homepage: http://eole.orion.education.fr/diff
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/eole-keyring
Vcs-Git: http://dev-eole.ac-dijon.fr/git/eole-keyring

Package: eole-archive-keyring
Priority: important
Architecture: all
Depends: ${misc:Depends}, gnupg (>= 1.4.10)
Description: GnuPG archive keys of EOLE repository
 The EOLE repository digitally signs its Release files. This package
 contains the repository key used for that.

Package: eole-archive-keyring-udeb
Package-Type: udeb
Section: debian-installer
Architecture: all
Recommends: gpgv-udeb
Description: GnuPG archive keys of EOLE repository - debian-installer
 The EOLE repository digitally signs its Release files. This package
 contains the repository key used for that.
 .
 This package contains the keyring for debian-installer.

Package: eole-keyring
Priority: important
Architecture: all
Depends: ${misc:Depends}, gnupg (>= 1.4.10)
Description: GnuPG keys of EOLE developers
 The EOLE project wants developers to digitally sign the announcements
 of their packages with GnuPG, to protect against forgeries.
 .
 This package contains keyrings of GnuPG and keys of developers.

Package: opennebula-archive-keyring
Priority: important
Architecture: all
Depends: ${misc:Depends}, gnupg (>= 1.4.10)
Description: GnuPG archive keys of OpenNebula repository
 The OpenNebula repository digitally signs its Release files. This package
 contains the repository key used for that.

Package: opennebula-archive-keyring-udeb
Package-Type: udeb
Section: debian-installer
Architecture: all
Recommends: gpgv-udeb
Description: GnuPG archive keys of OpenNebula repository - debian-installer
 The OpenNebula repository digitally signs its Release files. This package
 contains the repository key used for that.
 .
 This package contains the keyring for debian-installer.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	sha512sum -c sha512sums.txt 2> /dev/null

.PHONY: override_dh_auto_build

## eole-keyring 2017.02.14.1

=== debian/changelog ===
eole-keyring (2017.02.14.1-1) eole-2.6-unstable; urgency=low

  [ Daniel Dehennin ]
  * [4d22a12] Update SHA512 for EOLE Samba-4.5 GPG key
  * [172595c] Merge tag 'release/2017.02.14.1'

  [ EOLE Build Daemon ]
  * [985f769] Daniel Dehennin: Update package since “debian/eole/2.4/2017.02.14-1”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Tue, 14 Feb 2017 10:15:52 +0100

eole-keyring (2017.02.14-1) eole-2.6-unstable; urgency=low

  [ Daniel Dehennin ]
  * [e314fae] Update GPG key for Daniel Dehennin
  * [fb63431] Import EOLE Samba-4.5 GPG key
  * [743f3c5] Merge tag 'release/2017.02.14'

  [ EOLE Build Daemon ]
  * [89af968] Daniel Dehennin: Update package since “debian/eole/2.4/2016.04.25-1”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Tue, 14 Feb 2017 10:10:39 +0100

## eole-keyring 2018.09.12

=== debian/changelog ===
eole-keyring (2018.09.12-1) eole-2.7-unstable; urgency=low

  [ Daniel Dehennin ]
  * [3823eed] Readme: the team keyring name is eole-team-keyring.gpg
  * [89bf6db] Merge tag 'release/2018.09.12'
  * [5ee12b3] The package must be backward compatible with Precise Pangolin

  [ EOLE Build Daemon ]
  * [2438d02] Daniel Dehennin: Update package since “debian/eole/2.4/2018.05.31-3”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Wed, 12 Sep 2018 15:13:58 +0200

eole-keyring (2018.05.31-3) eole-2.7-unstable; urgency=low

  [ Daniel Dehennin ]
  * [a3f78af] Do not move keyring known by dpkg

  [ EOLE Build Daemon ]
  * [dd710a9] Daniel Dehennin: Update package since “debian/eole/2.4/2018.05.31-2”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 14 Jun 2018 11:08:51 +0200

eole-keyring (2018.05.31-2) eole-2.7-unstable; urgency=low

  [ Daniel Dehennin ]
  * [a4f8bdb] Replace keyring unknown to dpkg

  [ EOLE Build Daemon ]
  * [efac1c2] Daniel Dehennin: Update package since “debian/eole/2.4/2018.05.31-1”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 14 Jun 2018 09:22:15 +0200

eole-keyring (2018.05.31-1) eole-2.7-unstable; urgency=low

  * [0fc3ae4] Premiers paquets Debian des trousseaux de clefs EOLE.
    (Fixes: #2592, 40)
  * [5343412] Gestion du trousseau d’archive en trousseau de confiance pour apt-get
  * [9f031ac] Génération du paquet pour le processus d’installation
  * [27c6b75] Correction de l’information git des sources
  * [aa9cc88] Suppression du script de prerm inutile
  * [b3e5cd8] On supprime les clefs de l’installeur du trousseau principal d’apt
  * [149974e] Make lintian happier
  * [9f09c17] Add git-buildpackage configuration for debian version tag format
  * [eddaced] Merge tag 'release/2014.02.03' into dist/ubuntu/precise/master
  * [5ccf8be] Nouveau paquet « opennebula-archive-keyring »
    (Fixes: #7282, 15)
  * [eae6b5b] Merge tag 'release/2016.04.25'
  * [743f3c5] Merge tag 'release/2017.02.14'
  * [172595c] Merge tag 'release/2017.02.14.1'
  * [0d1c856] Merge tag 'release/2018.05.29'
  * [b774373] Merge tag 'release/2018.05.30'
  * [ba52038] Merge tag 'release/2018.05.31'
  * [cedfe1f] Update packaging to debian-archive-keyring standard

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 31 May 2018 17:35:42 +0200

## eole-keyring 2018.12.05.1

=== debian/changelog ===
eole-keyring (2018.12.05.1-1) eole-2.7.0-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [97dd30c] Sign new keyring
  * [127805a] Merge tag 'release/2018.12.05.1'

  [ EOLE Build Daemon ]
  * [9ac1474] Daniel Dehennin: Update package since “debian/eole/2.4/2018.12.05-1”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Wed, 05 Dec 2018 15:31:22 +0100

eole-keyring (2018.12.05-1) eole-2.7.0-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [6959154] Add EOLE Samba Repository (Samba 4.9) key (ID: 81807C58980AA915)
  * [e8a89fb] Merge tag 'release/2018.12.05'

  [ EOLE Build Daemon ]
  * [de9b125] Daniel Dehennin: Update package since “debian/eole/2.4/2018.09.12-1”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Wed, 05 Dec 2018 15:24:14 +0100

## eole-keyring 2019.03.14

=== debian/changelog ===
eole-keyring (2019.03.14-1) eole-2.7.0-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [3fd6cf6] add EOLE Samba Repository (Samba 4.8) key (ID: 8DDAEAB312299F89)
  * [bcabad8] Merge tag 'release/2019.03.14'

  [ EOLE Build Daemon ]
  * [536e1d4] Daniel Dehennin: Update package since “debian/eole/2.4/2018.12.05.1-1”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 14 Mar 2019 10:54:28 +0100

## eole-keyring 2020.05.12

=== debian/changelog ===
eole-keyring (2020.05.12-1) eole-2.7.0-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [d5afcdb] add EOLE Samba Repository (Samba 4.11) key (ID: 320B90533373AA35)
  * [3f931c9] Merge tag 'release/2020.05.12' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [db6fc60] Daniel Dehennin: Update package since “debian/eole/2.4/2020.05.06-1”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Tue, 12 May 2020 15:15:25 +0200

eole-keyring (2020.05.06-1) eole-2.7.0-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [a7ff6cf] add EOLE ISO Automatic Signing Key (EOLE 2.8/Focal Fossa) key (ID: C51F54D37ECBA2A)
  * [076eef9] Merge tag 'release/2020.05.06' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [eb781b4] Daniel Dehennin: Update package since “debian/eole/2.4/2020.01.22-1”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Wed, 06 May 2020 11:04:36 +0200

eole-keyring (2020.01.22-1) eole-2.7.0-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [9629605] add EOLE Repository (EOLE 2.8/Focal Fossa) key (ID: 496459F1B5B41F4B)
  * [da32bd7] Merge tag 'release/2020.01.22' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [f260a6b] Daniel Dehennin: Update package since “debian/eole/2.4/2019.10.03-1”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Wed, 22 Jan 2020 11:24:59 +0100

eole-keyring (2019.10.03-1) eole-2.7.0-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [8579e88] add Envole Repository (Envole 7) key (ID: 5D991DCF17D80D94)
  * [8e29b9d] Merge tag 'release/2019.10.03' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [70e5fdc] Daniel Dehennin: Update package since “debian/eole/2.4/2019.03.14-1”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 03 Oct 2019 11:31:22 +0200

## eole-keyring 2021.07.22

=== debian/changelog ===
eole-keyring (2021.07.22-1) eole-2.8.0-proposed-updates; urgency=low

  * [0fc3ae4] Premiers paquets Debian des trousseaux de clefs EOLE.
    (Fixes: #2592, 40)
  * [5343412] Gestion du trousseau d’archive en trousseau de confiance pour apt-get
  * [9f031ac] Génération du paquet pour le processus d’installation
  * [27c6b75] Correction de l’information git des sources
  * [aa9cc88] Suppression du script de prerm inutile
  * [b3e5cd8] On supprime les clefs de l’installeur du trousseau principal d’apt
  * [149974e] Make lintian happier
  * [9f09c17] Add git-buildpackage configuration for debian version tag format
  * [eddaced] Merge tag 'release/2014.02.03' into dist/ubuntu/precise/master
  * [5ccf8be] Nouveau paquet « opennebula-archive-keyring »
    (Fixes: #7282, 15)
  * [eae6b5b] Merge tag 'release/2016.04.25'
  * [743f3c5] Merge tag 'release/2017.02.14'
  * [172595c] Merge tag 'release/2017.02.14.1'
  * [0d1c856] Merge tag 'release/2018.05.29'
  * [b774373] Merge tag 'release/2018.05.30'
  * [ba52038] Merge tag 'release/2018.05.31'
  * [cedfe1f] Update packaging to debian-archive-keyring standard
  * [a4f8bdb] Replace keyring unknown to dpkg
  * [a3f78af] Do not move keyring known by dpkg
  * [89bf6db] Merge tag 'release/2018.09.12'
  * [5ee12b3] The package must be backward compatible with Precise Pangolin
  * [e8a89fb] Merge tag 'release/2018.12.05'
  * [127805a] Merge tag 'release/2018.12.05.1'
  * [bcabad8] Merge tag 'release/2019.03.14'
  * [8e29b9d] Merge tag 'release/2019.10.03' into dist/eole/2.7.0/master
  * [da32bd7] Merge tag 'release/2020.01.22' into dist/eole/2.7.0/master
  * [076eef9] Merge tag 'release/2020.05.06' into dist/eole/2.7.0/master
  * [3f931c9] Merge tag 'release/2020.05.12' into dist/eole/2.7.0/master
  * [99074d7] Merge tag 'release/2021.07.22' into dist/eole/2.8.0/master

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 22 Jul 2021 16:17:17 +0200

## eole-keyring 2022.34.19.1

=== debian/changelog ===
eole-keyring (2022.34.19.1-1) eole-2.8.1-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [708858b] feat: remove expiration on keys
  * [aa025dd] feat: add EOLE 2.9 keys
  * [4f04b79] Merge tag 'release/2022.34.19.1' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [5443c97] Daniel Dehennin: Update package since “debian/eole/2.4/2021.07.22-1”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Wed, 19 Jan 2022 14:35:56 +0100

## eole-keyring 2023.01.01

=== debian/changelog ===
eole-keyring (2023.01.01-1) eole-2.8.1-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [90faf4e] feat: add Envole 9
  * [d572e86] Merge tag 'release/2022.06.13' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [31a92d6] Daniel Dehennin: Update package since “debian/eole/2.4/2022.34.19.1-1”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Mon, 13 Jun 2022 10:54:40 +0200

## eole-keyring 2024.03.07

=== debian/changelog ===
eole-keyring (2024.03.07-1) eole-2.10-unstable; urgency=low

  [ Daniel Dehennin ]
  * [0fc3ae4] Premiers paquets Debian des trousseaux de clefs EOLE.
    (Fixes: #2592, 40)
  * [5343412] Gestion du trousseau d’archive en trousseau de confiance pour apt-get
  * [9f031ac] Génération du paquet pour le processus d’installation
  * [27c6b75] Correction de l’information git des sources
  * [aa9cc88] Suppression du script de prerm inutile
  * [b3e5cd8] On supprime les clefs de l’installeur du trousseau principal d’apt
  * [149974e] Make lintian happier
  * [9f09c17] Add git-buildpackage configuration for debian version tag format
  * [eddaced] Merge tag 'release/2014.02.03' into dist/ubuntu/precise/master
  * [5ccf8be] Nouveau paquet « opennebula-archive-keyring »
    (Fixes: #7282, 15)
  * [eae6b5b] Merge tag 'release/2016.04.25'
  * [743f3c5] Merge tag 'release/2017.02.14'
  * [172595c] Merge tag 'release/2017.02.14.1'
  * [0d1c856] Merge tag 'release/2018.05.29'
  * [b774373] Merge tag 'release/2018.05.30'
  * [ba52038] Merge tag 'release/2018.05.31'
  * [cedfe1f] Update packaging to debian-archive-keyring standard
  * [a4f8bdb] Replace keyring unknown to dpkg
  * [a3f78af] Do not move keyring known by dpkg
  * [89bf6db] Merge tag 'release/2018.09.12'
  * [5ee12b3] The package must be backward compatible with Precise Pangolin
  * [e8a89fb] Merge tag 'release/2018.12.05'
  * [127805a] Merge tag 'release/2018.12.05.1'
  * [bcabad8] Merge tag 'release/2019.03.14'
  * [8e29b9d] Merge tag 'release/2019.10.03' into dist/eole/2.7.0/master
  * [da32bd7] Merge tag 'release/2020.01.22' into dist/eole/2.7.0/master
  * [076eef9] Merge tag 'release/2020.05.06' into dist/eole/2.7.0/master
  * [3f931c9] Merge tag 'release/2020.05.12' into dist/eole/2.7.0/master
  * [99074d7] Merge tag 'release/2021.07.22' into dist/eole/2.8.0/master
  * [4f04b79] Merge tag 'release/2022.34.19.1' into dist/eole/2.8.1/master
  * [d572e86] Merge tag 'release/2022.06.13' into dist/eole/2.8.1/master

  [ Joël Cuissinat ]
  * [d8b2910] Merge tag 'release/2024.03.07' into dist/eole/2.10.0/master

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 07 Mar 2024 10:22:24 +0100

## eole-keyring 2025.05.20

=== debian/changelog ===
eole-keyring (2025.05.20-1) eole-2.10.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [608b757] feat: add PCLL key
  * [06c08f2] Merge tag 'release/2025.05.20' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [608d293] Joël Cuissinat: Update package since “debian/eole/2.4/2024.03.07-1”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 20 May 2025 16:35:51 +0200

=== debian/control ===
Source: eole-keyring
Section: misc
Priority: optional
Maintainer: Équipe EOLE <eole@ac-dijon.fr>
Standards-Version: 4.1.4.1
Build-Depends: debhelper (>= 10),
	       jetring,
	       gnupg
Homepage: http://eole.orion.education.fr/diff
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/eole-keyring
Vcs-Git: http://dev-eole.ac-dijon.fr/git/eole-keyring

Package: eole-archive-keyring
Priority: important
Architecture: all
Depends: ${misc:Depends}
Description: GnuPG archive keys of EOLE repository
 The EOLE repository digitally signs its Release files. This package
 contains the repository key used for that.

Package: eole-archive-keyring-udeb
Package-Type: udeb
Section: debian-installer
Architecture: all
Recommends: gpgv-udeb
Description: GnuPG archive keys of EOLE repository - debian-installer
 The EOLE repository digitally signs its Release files. This package
 contains the repository key used for that.
 .
 This package contains the keyring for debian-installer.

Package: eole-team-keyring
Priority: important
Architecture: all
Depends: ${misc:Depends}
Recommends: gnupg
Description: GnuPG keys of EOLE developers
 The EOLE project wants developers to digitally sign the announcements
 of their packages with GnuPG, to protect against forgeries.
 .
 This package contains keyrings of GnuPG and keys of developers.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1
# export DH_OPTIONS=-v

%:
	dh $@

override_dh_auto_build:
	dh_auto_build --no-parallel

override_dh_builddeb:
	# Make package compatible with older version
	dh_builddeb -- -Zgzip -Srle

=== debian/watch ===
# See uscan(1) for format
# Compulsory line, this is a version 3 file
version=3
